import { jsx as s } from "../../../../../../../external/.pnpm/preact@10.28.2/node_modules/preact/jsx-runtime/dist/jsxRuntime.module.js";
import { useMemo as p } from "../../../../../../../external/.pnpm/preact@10.28.2/node_modules/preact/hooks/dist/hooks.module.js";
import { FormSelect as r } from "../../../../../../internal/FormWrappers/FormSelect.js";
import l from "../../../../../../../core/Context/preact/useCoreContext.js";
const m = ["open", "singleUse"], L = ({ configuration: e }) => {
  const { i18n: o } = l(), t = p(() => (e?.linkType?.options?.length ? e?.linkType?.options : m).map((n) => {
    const i = `payByLink.creation.form.linkTypes.${n}`;
    return {
      id: n,
      name: o.get(i)
    };
  }), [e, o]);
  return /* @__PURE__ */ s(
    r,
    {
      fieldName: "linkType",
      label: o.get("payByLink.creation.fields.linkType.label"),
      items: t
    }
  );
};
export {
  L as LinkTypeField
};
